## osslsigncode 2.5

=== CMakeLists.txt ===
# required cmake version
cmake_minimum_required(VERSION 3.17)

# autodetect vcpkg CMAKE_TOOLCHAIN_FILE if VCPKG_ROOT is defined
# this needs to be configured before the project() directive
if(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
  set(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
endif(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
set(BUILTIN_SOCKET ON CACHE BOOL "") # for static Python

# configure basic project information
project(osslsigncode
  VERSION 2.5
  DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT and MSI files"
  HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
  LANGUAGES C)

# force nonstandard version format for development packages
set(DEV "")
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${DEV}")

# version and contact information
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "Michal.Trojnara@stunnel.org")

# specify the C standard
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# load CMake library modules
include(FindOpenSSL)
include(FindCURL)

# load CMake project modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
include(SetBashCompletion)
include(FindHeaders)

# define the target
add_executable(osslsigncode)

# add compiler/linker flags
include(SetCompilerFlags)

# create and use config.h
configure_file(Config.h.in config.h)
target_compile_definitions(osslsigncode PRIVATE HAVE_CONFIG_H=1)

# set sources
target_sources(osslsigncode PRIVATE osslsigncode.c msi.c)
if(NOT UNIX)
  target_sources(osslsigncode PRIVATE applink.c)
endif(NOT UNIX)

# set include directories
target_include_directories(osslsigncode PRIVATE "${PROJECT_BINARY_DIR}")

# set OpenSSL includes/libraries
if(NOT OPENSSL_FOUND)
  message(FATAL_ERROR "OpenSSL library not found")
endif(NOT OPENSSL_FOUND)
target_include_directories(osslsigncode PRIVATE ${OPENSSL_INCLUDE_DIR})
target_link_libraries(osslsigncode PRIVATE ${OPENSSL_LIBRARIES})

# set cURL includes/libraries
if(CURL_FOUND)
  target_compile_definitions(osslsigncode PRIVATE ENABLE_CURL=1)
  target_include_directories(osslsigncode PRIVATE ${CURL_INCLUDE_DIRS})
  target_link_libraries(osslsigncode PRIVATE ${CURL_LIBRARIES})
  message(STATUS "cURL support enabled")
else(CURL_FOUND)
  message(STATUS "cURL support disabled (library not found)")
endif(CURL_FOUND)

# add paths to linker search and installed rpath
set_target_properties(osslsigncode PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

# testing with CTest
include(CMakeTest)

# installation rules for a project
set(BINDIR "${CMAKE_INSTALL_PREFIX}/bin")
install(TARGETS osslsigncode RUNTIME DESTINATION ${BINDIR})
if(UNIX)
  include(CMakeDist)
else(UNIX)
  install(
    DIRECTORY ${PROJECT_BINARY_DIR}/ DESTINATION ${BINDIR}
    FILES_MATCHING
    PATTERN "*.dll"
    PATTERN "vcpkg_installed" EXCLUDE
    PATTERN "CMakeFiles" EXCLUDE
    PATTERN "Testing" EXCLUDE
  )
endif(UNIX)

## osslsigncode 1.7.1

=== debian/changelog ===
osslsigncode (1.7.1-1) unstable; urgency=low

  * Initial release. Closes: #796916.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Aug 2015 21:59:09 +0200

=== debian/control ===
Source: osslsigncode
Section: otherosfs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>=9),
 dh-autoreconf,
 libcurl4-openssl-dev,
 libgsf-1-dev,
 libssl-dev,
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/osslsigncode/
Vcs-Git: git://anonscm.debian.org/collab-maint/osslsigncode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/osslsigncode.git;a=summary

Package: osslsigncode
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Authenticode signing tool
 osslsigncode is an Authenticode signing tool for PE binaries
 (Windows executables, DLLs, drivers...), CAB archives and MSI
 installation packages. It also supports timestamping using
 Authenticode and RFC-3161.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf 

#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/osslsigncode/osslsigncode \
.*=osslsigncode(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## osslsigncode 2.0

=== debian/changelog ===
osslsigncode (2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to Michał Trojnara’s fork.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Dec 2018 09:46:12 +0100

osslsigncode (1.7.1-3) unstable; urgency=medium

  * Actually fix debian/watch.
  * Build-depend on libcurl4-gnutls-dev to avoid build errors once
    libcurl4-openssl-dev switches to OpenSSL 1.1; thanks to Steve Langasek
    for the investigation and fix! Closes: #891781.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Mar 2018 21:21:48 +0100

osslsigncode (1.7.1-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Build-depend on libssl1.0-dev, converting to OpenSSL 1.1 is going to
    involve a lot of work... Closes: #828483.
  * Switch to debhelper compatibility level 10.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Clean up debian/rules and debian/copyright.
  * Fix debian/watch.
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Nov 2016 17:02:20 +0100

=== debian/control ===
Source: osslsigncode
Maintainer: Stephen Kitt <skitt@debian.org>
Section: otherosfs
Priority: optional
Build-Depends: debhelper (>= 11~),
               libcurl4-gnutls-dev,
               libgsf-1-dev,
               libssl-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
Homepage: https://github.com/mtrojnar/osslsigncode
Rules-Requires-Root: no

Package: osslsigncode
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Authenticode signing tool
 osslsigncode is an Authenticode signing tool for PE binaries
 (Windows executables, DLLs, drivers...), CAB archives and MSI
 installation packages. It also supports timestamping using
 Authenticode and RFC-3161.

## osslsigncode 2.0+really2.5

=== debian/changelog ===
osslsigncode (2.0+really2.5-4+deb10u1) buster-security; urgency=medium

  * Backport Debian version 2.5-4 to buster:
    - Fixes CVE-2023-36377, A Buffer Overflow vulnerability (Closes: #1035875)
  * To make it compile and minimize changes in buster:
    - Revert debhelper compat level to 12
    - Add patch to reduce required CMake version to the buster's version.
    - This requires to fix the CTest "remove_files", which acutally cleans up
      after build.
    - Revert swtich to the OpenSSL variant of libcurl.

 -- Tobias Frost <tobi@debian.org>  Fri, 22 Dec 2023 19:49:06 +0100

osslsigncode (2.5-4) unstable; urgency=medium

  * Import upstream fixes for big-endian systems. Closes: #993452.
  * Import upstream fixes for pkcs12 signing. Closes: #1024434.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 23:15:10 +0100

osslsigncode (2.5-3) unstable; urgency=medium

  * Switch to the OpenSSL variant of libcurl; since osslsigncode as an
    OpenSSL exception, this is fine and reduces the overall dependency
    tree.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Nov 2022 16:15:26 +0100

osslsigncode (2.5-2) unstable; urgency=medium

  * Re-run failed tests verbosely on failure.

 -- Stephen Kitt <skitt@debian.org>  Wed, 31 Aug 2022 20:41:48 +0200

osslsigncode (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Aug 2022 14:56:39 +0200

osslsigncode (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Aug 2022 15:33:33 +0200

osslsigncode (2.3.0-1) unstable; urgency=medium

  * Rework debian/watch to download release tarballs and verify their
    signature.
  * New upstream release.
  * The test suite available in the upstream repository is not yet
    intended for general consumption and is not part of the release
    tarballs, so debian/rules no longer tries to run them.
    Closes: #993451, #993452.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Mar 2022 16:27:11 +0100

osslsigncode (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Run the provided test suite during the build.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 16:18:02 +0200

osslsigncode (2.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Oct 2020 09:08:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                libcurl4-gnutls-dev,
                libgsf-1-dev,
-               libssl-dev
-Standards-Version: 4.2.1
+               libssl-dev,
+# Test dependencies
+               faketime,
+               openssl,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

## osslsigncode 2.1

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,11 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev,
                libgsf-1-dev,
-               libssl-dev,
-# Test dependencies
-               faketime,
-               openssl,
-Standards-Version: 4.6.1
+               libssl-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%osslsigncode-$1.tar.gz%" \
    https://github.com/mtrojnar/osslsigncode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## osslsigncode 2.2

=== debian/changelog ===
osslsigncode (2.2-1ubuntu1) jammy; urgency=medium

  * Cherry-pick fix from Debian to disable running test suite at build time,
    which fails in Launchpad (but not locally).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Mar 2022 08:16:37 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,20 @@
 Source: osslsigncode
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev,
-               libgsf-1-dev,
-               libssl-dev
-Standards-Version: 4.5.0
+               libssl-dev,
+               pkg-config,
+# Test dependencies
+               faketime,
+               gcab,
+               gcc-mingw-w64-x86-64-win32,
+               openssl,
+               wixl,
+               xxd,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

## osslsigncode 2.3.0

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: osslsigncode
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## osslsigncode 2.5

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,13 @@
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libcurl4-gnutls-dev,
+               cmake,
+               libcurl4-openssl-dev,
                libssl-dev,
-               pkg-config,
 # Test dependencies
                faketime,
-               gcab,
-               gcc-mingw-w64-x86-64-win32,
                openssl,
-               wixl,
-               xxd,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-*/ && ctest -C Release || ctest -C Release --rerun-failed --output-on-failure
endif

=== debian/watch ===
version=4
opts="pgpmode=auto" \
    https://github.com/mtrojnar/osslsigncode/releases \
    (?:.*?/)?@PACKAGE@-(\d[\d.]*)\.tar\.gz debian uupdate

## osslsigncode 2.5-4~deb11u1+really2.9

=== debian/changelog ===
osslsigncode (2.5-4~deb11u1+really2.9-1+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Rebuild v2.9 for bullseye to fix 1076785.

 -- Abhijith PA <abhijith@debian.org>  Fri, 23 Jan 2026 12:06:08 +0530

osslsigncode (2.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. Closes: #1076785.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Aug 2024 14:46:40 +0200

osslsigncode (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jul 2024 20:10:26 +0200

osslsigncode (2.8-2) unstable; urgency=medium

  * Always show verbose test output (for comparison purposes).

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Mar 2024 07:59:00 +0100

osslsigncode (2.8-1) unstable; urgency=medium

  * New upstream release.
  * Track GitHub tags, upstream no longer ships separate source
    tarballs.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Mar 2024 07:48:12 +0100

## osslsigncode 2.8

=== CMakeLists.txt ===
# required cmake version
cmake_minimum_required(VERSION 3.17)

# autodetect vcpkg CMAKE_TOOLCHAIN_FILE if VCPKG_ROOT is defined
# this needs to be configured before the project() directive
if(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
    set(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
endif(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
set(BUILTIN_SOCKET ON CACHE BOOL "") # for static Python

# configure basic project information
project(osslsigncode
    VERSION 2.8
    DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT and MSI files"
    HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
    LANGUAGES C)

# force nonstandard version format for development packages
set(DEV "")
set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}${DEV}")

# version and contact information
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "Michal.Trojnara@stunnel.org")

# specify the C standard
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# load CMake library modules
include(FindOpenSSL)
include(FindCURL)
include(FindZLIB)

# load CMake project modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
include(SetBashCompletion)
include(FindHeaders)

# define the target
add_executable(osslsigncode)

# add compiler/linker flags
include(SetCompilerFlags)

# create and use config.h
configure_file(Config.h.in config.h)
target_compile_definitions(osslsigncode PRIVATE HAVE_CONFIG_H=1)

# set sources
target_sources(osslsigncode PRIVATE osslsigncode.c helpers.c utf.c msi.c pe.c cab.c cat.c appx.c script.c)
if(NOT UNIX)
    target_sources(osslsigncode PRIVATE applink.c)
endif(NOT UNIX)

# set include directories
target_include_directories(osslsigncode PRIVATE "${PROJECT_BINARY_DIR}")

# set OpenSSL includes/libraries
if(NOT OPENSSL_FOUND)
    message(FATAL_ERROR "OpenSSL library not found")
endif(NOT OPENSSL_FOUND)
target_include_directories(osslsigncode PRIVATE ${OPENSSL_INCLUDE_DIR})
target_link_libraries(osslsigncode PRIVATE ${OPENSSL_LIBRARIES})

# set cURL includes/libraries
if(CURL_FOUND)
    target_compile_definitions(osslsigncode PRIVATE ENABLE_CURL=1)
    target_include_directories(osslsigncode PRIVATE ${CURL_INCLUDE_DIRS})
    target_link_libraries(osslsigncode PRIVATE ${CURL_LIBRARIES})
    message(STATUS "cURL support enabled")
else(CURL_FOUND)
    message(STATUS "cURL support disabled (library not found)")
endif(CURL_FOUND)

if(NOT ZLIB_FOUND)
    message(FATAL_ERROR "Zlib library not found")
endif(NOT ZLIB_FOUND)
target_include_directories(osslsigncode PRIVATE ${ZLIB_INCLUDE_DIR})
target_link_libraries(osslsigncode PRIVATE ${ZLIB_LIBRARIES})

# add paths to linker search and installed rpath
set_target_properties(osslsigncode PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

# testing with CTest
include(CMakeTest)

# installation rules for a project
set(BINDIR "${CMAKE_INSTALL_PREFIX}/bin")
install(TARGETS osslsigncode RUNTIME DESTINATION ${BINDIR})
if(UNIX)
    include(CMakeDist)
else(UNIX)
    install(
        DIRECTORY ${PROJECT_BINARY_DIR}/ DESTINATION ${BINDIR}
        FILES_MATCHING
        PATTERN "*.dll"
        PATTERN "vcpkg_installed" EXCLUDE
        PATTERN "CMakeFiles" EXCLUDE
        PATTERN "Testing" EXCLUDE)
endif(UNIX)

#[[
Local Variables:
    c-basic-offset: 4
    tab-width: 4
    indent-tabs-mode: nil
End:
    vim: set ts=4 expandtab:
]]

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
                cmake,
                libcurl4-openssl-dev,
                libssl-dev,
+               zlib1g-dev,
 # Test dependencies
                faketime,
                openssl,
-Standards-Version: 4.6.1
+               python3,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

## osslsigncode 2.9

=== debian/changelog ===
osslsigncode (2.9-2) unstable; urgency=medium

  * Add upstream patch to support python3-cryptography 43. Closes:
    #1082691.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Oct 2024 18:10:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libssl-dev,
                zlib1g-dev,
 # Test dependencies
-               faketime,
                openssl,
                python3,
-Standards-Version: 4.6.2
+               python3-cryptography,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

## osslsigncode 2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,15 @@
 
 # autodetect vcpkg CMAKE_TOOLCHAIN_FILE if VCPKG_ROOT is defined
 # this needs to be configured before the project() directive
-if(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
+if((CMAKE_GENERATOR MATCHES "Ninja") AND DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
     set(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
-endif(DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
+endif((CMAKE_GENERATOR MATCHES "Ninja") AND DEFINED ENV{VCPKG_ROOT} AND NOT $ENV{VCPKG_ROOT} STREQUAL "" AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
 set(BUILTIN_SOCKET ON CACHE BOOL "") # for static Python
 
 # configure basic project information
 project(osslsigncode
-    VERSION 2.8
-    DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT and MSI files"
+    VERSION 2.10
+    DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT, MSI, APPX and script files"
     HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
     LANGUAGES C)
 
@@ -29,7 +29,12 @@
 
 # load CMake library modules
 include(FindOpenSSL)
-include(FindCURL)
+if(OPENSSL_VERSION VERSION_LESS "1.1.1")
+    message(FATAL_ERROR "OpenSSL version must be at least 1.1.1")
+endif()
+if(OPENSSL_VERSION VERSION_LESS "3.0.0")
+    include(FindCURL)
+endif(OPENSSL_VERSION VERSION_LESS "3.0.0")
 include(FindZLIB)
 
 # load CMake project modules
@@ -64,6 +69,7 @@
 target_link_libraries(osslsigncode PRIVATE ${OPENSSL_LIBRARIES})
 
 # set cURL includes/libraries
+if(OPENSSL_VERSION VERSION_LESS "3.0.0")
 if(CURL_FOUND)
     target_compile_definitions(osslsigncode PRIVATE ENABLE_CURL=1)
     target_include_directories(osslsigncode PRIVATE ${CURL_INCLUDE_DIRS})
@@ -72,12 +78,18 @@
 else(CURL_FOUND)
     message(STATUS "cURL support disabled (library not found)")
 endif(CURL_FOUND)
+endif(OPENSSL_VERSION VERSION_LESS "3.0.0")
 
 if(NOT ZLIB_FOUND)
     message(FATAL_ERROR "Zlib library not found")
 endif(NOT ZLIB_FOUND)
 target_include_directories(osslsigncode PRIVATE ${ZLIB_INCLUDE_DIR})
 target_link_libraries(osslsigncode PRIVATE ${ZLIB_LIBRARIES})
+
+if(NOT UNIX)
+# https://learn.microsoft.com/en-us/windows/win32/api/winsock2/nf-winsock2-shutdown
+target_link_libraries(osslsigncode PRIVATE ws2_32.lib crypt32.lib)
+endif(NOT UNIX)
 
 # add paths to linker search and installed rpath
 set_target_properties(osslsigncode PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

=== misc/softhsm-example-token/Makefile ===
all: clean token

clean:
	@rm -f softhsm.* test.* openssl.conf config.py

token:
	./gen-token.sh

=== debian/changelog ===
osslsigncode (2.10-1) unstable; urgency=medium

  * New upstream release, merging python-cryptography-43.patch.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Sep 2025 13:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                openssl,
                python3,
                python3-cryptography,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-*/ && ctest -C Release -V
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/mtrojnar/osslsigncode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## osslsigncode 2.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # configure basic project information
 project(osslsigncode
-    VERSION 2.10
+    VERSION 2.11
     DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT, MSI, APPX and script files"
     HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
     LANGUAGES C)

=== debian/changelog ===
osslsigncode (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Jan 2026 12:04:49 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: mtrojnar
Project: osslsigncode

## osslsigncode 2.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # configure basic project information
 project(osslsigncode
-    VERSION 2.11
+    VERSION 2.12
     DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT, MSI, APPX and script files"
     HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
     LANGUAGES C)

=== debian/changelog ===
osslsigncode (2.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2026 17:34:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: osslsigncode
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libcurl4-openssl-dev,
@@ -11,11 +10,10 @@
                openssl,
                python3,
                python3-cryptography,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
-Rules-Requires-Root: no
 
 Package: osslsigncode
 Architecture: any

## osslsigncode 2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # configure basic project information
 project(osslsigncode
-    VERSION 2.12
+    VERSION 2.13
     DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT, MSI, APPX and script files"
     HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
     LANGUAGES C)

=== debian/changelog ===
osslsigncode (2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 12 Feb 2026 22:38:59 +0100
